Powercloud
Endpoint to be configured in powercloud retail systems to provide feedback on user interactions
Creates a PowercloudUserInteractionFeedback resource.
POST
/api/powercloud/retail/user-interaction-feedbackAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/ld+json
required
The new PowercloudUserInteractionFeedback resource
{
"@context": "string",
"@id": "string",
"@type": "string",
"identifier": "email_123",
"optionName": "close",
"model": "contract",
"modelId": "123456"
}application/json
required
The new PowercloudUserInteractionFeedback resource
{
"identifier": "email_123",
"optionName": "close",
"model": "contract",
"modelId": "123456"
}multipart/form-data
required
The new PowercloudUserInteractionFeedback resource
{
"identifier": "email_123",
"optionName": "close",
"model": "contract",
"modelId": "123456"
}Response
201
PowercloudUserInteractionFeedback resource created
identifier
string
Identifier generated by Output.Rocks.
optionName
string
Name of option, selected in user interaction.
model
string
Model, where user interaction is connected to.
modelId
string
Model, where user interaction is connected to.